# $Revision: 1.6 $, $Date: 2002/08/16 21:05:26 $
Summary:	Mines, Connect 4 and Othello games for the Linux VGA console
Summary(de):	Verschiedene Denkspiele fr Linux SVGAlib
Summary(es):	Varios juegos de rompecabezas para Linux SVGAlib
Summary(pl):	Gry Mines, Connect 4 i Othello dla linuksowej konsoli VGA
Summary(pt_BR):	Vrios jogos de quebra-cabea para Linux SVGAlib
Summary(tr):	SVGAlib ile alan eitli zeka oyunlar
Name:		vga_gamespack
Version:	1.4
Release:	10
License:	distributable
Group:		Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/strategy/%{name}-%{version}.tgz
Patch0:		%{name}-misc.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%ifarch		%{ix86} alpha
BuildRequires:	svgalib-devel
%endif
%ifarch         ppc
BuildRequires:  svgalib4ggi-devel
%endif
ExclusiveArch:	%{ix86} alpha ppc

%description
The vga_gamespack package contains three games for the Linux VGA
console: Mines, Connect 4, and Othello.

%description -l de
Eine Auswahl verschiedener Denkspiele fr die Linux-Konsole unter
Verwendung der SVGAlib, unter anderem solche Favoriten wie Othello,
Minesweeper und Connect 4.

%description -l es
Varios juegos "mentales" para Linux usando SVGAlib. La seleccin
incluye algunos best-sellers como Othello, Minesweeper, y Connect 4.

%description -l fr
Jeux de rflexion pour la console Linux, utilisant SVGAlib. Inclus
Othello Dmineur et Connect 4.

%description -l pl
Pakiet zawiera trzy gry dla linuksowej konsoli VGA: Mines, Connect 4 i
Othello.

%description -l pt_BR
Vrios jogos "mentais" para o Linux usando SVGAlib. A seleo inclui
alguns best-sellers como Othello, Minesweeper, e Connect 4.

%description -l tr
SVGAlib kullanan konsol oyunlar. Othello, mayn tarlas ve hedef 4
gibi sevilen oyunlar ierir.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} CC="%{__cc}" OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/vga_connectN
%attr(755,root,root) %{_bindir}/vga_mines
%attr(755,root,root) %{_bindir}/vga_othello
%{_libdir}/games/Vga16font8x16

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vga_gamespack.spec,v $
Revision 1.6  2002/08/16 21:05:26  kloczek
- release 10.

Revision 1.5  2002/08/16 16:40:43  qboosh
- added alpha

Revision 1.4  2002/07/02 08:08:34  marcus
- allowed buiding on PPC with sgvalib4ggi
- new %%doc
- rel.9.

Revision 1.3  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/17 19:43:19  kloczek
- merged translations from Conectiva.

Revision 1.1  2002/02/17 13:16:53  qboosh
- PLDified from RH PowerTools: some old svgalib games; release 8

Based on spec from RH PowerTools.
